Package org.eclipse.jdt.core.search

# Class MethodReferenceMatch

java.lang.Object
org.eclipse.jdt.core.search.SearchMatch
org.eclipse.jdt.core.search.ReferenceMatch
org.eclipse.jdt.core.search.MethodReferenceMatch

public class MethodReferenceMatch extends ReferenceMatch
A Java search match that represents a method reference. The element is the inner-most enclosing member that references this method.

This class is intended to be instantiated and subclassed by clients.

Since:
  3.0

## Field Summary

### Fields inherited from class org.eclipse.jdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

## Constructor Summary

Constructors
Constructor
Description
`MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean synthetic, boolean superInvocation, boolean insideDocComment, SearchParticipant participant, IResource resource)`
Creates a new method reference match.
`MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean synthetic, boolean insideDocComment, SearchParticipant participant, IResource resource)`
Creates a new method reference match.
`MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean insideDocComment, SearchParticipant participant, IResource resource)`
Creates a new method reference match.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`isConstructor()`
Returns whether the reference is on a constructor.
`boolean`
`isSuperInvocation()`
Returns whether the reference is on a message sent from a type which is a super type of the searched method declaring type.
`final boolean`
`isSynthetic()`
Returns whether the reference is on a synthetic element.

### Methods inherited from class org.eclipse.jdt.core.search.ReferenceMatch

`getLocalElement, setLocalElement`

### Methods inherited from class org.eclipse.jdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MethodReferenceMatch

public MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean insideDocComment, SearchParticipant participant, IResource resource)
Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

### MethodReferenceMatch

public MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean synthetic, boolean insideDocComment, SearchParticipant participant, IResource resource)
Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `constructor` - `true` if this search match a constructor `false` otherwise
  `synthetic` - `true` if this search match a synthetic element `false` otherwise
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element
Since:
  3.1

### MethodReferenceMatch

public MethodReferenceMatch(IJavaElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean synthetic, boolean superInvocation, boolean insideDocComment, SearchParticipant participant, IResource resource)
Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `constructor` - `true` if this search matches a constructor `false` otherwise
  `synthetic` - `true` if this search matches a synthetic element `false` otherwise
  `superInvocation` - `true` if this search matches a super-type invocation element `false` otherwise
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element
Since:
  3.3

## Method Details

### isConstructor

public final boolean isConstructor()
Returns whether the reference is on a constructor.

Returns:
  Returns whether the reference is on a constructor or not.
Since:
  3.1

### isSynthetic

public final boolean isSynthetic()
Returns whether the reference is on a synthetic element. Note that this field is only used for constructor reference. This happens when default constructor declaration is used or implicit super constructor is called.

Returns:
  whether the reference is synthetic or not.
Since:
  3.1

### isSuperInvocation

public boolean isSuperInvocation()
Returns whether the reference is on a message sent from a type which is a super type of the searched method declaring type. If `true`, the method called at run-time may or may not be the search target, depending on the run-time type of the receiver object.

Returns:
  `true` if the reference is on a message sent from a super-type of the searched method declaring class, `false` otherwise
Since:
  3.3